### Signal

# Jsonrpc Server::notification

since: 3.26

#### Declaration

    void
    notification (
      JsonrpcServer* self,
      JsonrpcClient* client,
      gchar* method,
      GVariant* id,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the client has sent a notification to us.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.26

#### Parameters

`client`

  Type: `JsonrpcClient`

  A `JsonrpcClient`.

  The data is owned by the caller of the function.

`method`

  Type: `gchar*`

  The notification name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `GVariant`

  The params for the notification.

  The data is owned by the caller of the function.